#!/usr/bin/env bash

# Set required environment variables
export TOINSTALLDIR="${TOINSTALLDIR:-${HOME}/my_toinstall}"
export ESOPIPELINE="${ESOPIPELINE:-${HOME}/my_micado_pipeline}"
export CFITSIODIR="${ESOPIPELINE}"
export WCSDIR="${ESOPIPELINE}"
export CPLDIR="${ESOPIPELINE}"

export PATH=${ESOPIPELINE}/bin:${PATH}

if [ -z ${SVN_USERNAME+x} ]; then
    export SVN_USERNAME_OPTION="";
else
    export SVN_USERNAME_OPTION="--username ${SVN_USERNAME}";
fi

if [ -z ${SVN_PASSWORD+x} ]; then
    export SVN_PASSWORD_OPTION="";
else
    export SVN_PASSWORD_OPTION="--password ${SVN_PASSWORD}";
fi
